<?php
/**
 * $Id: usertracking 2004-12-1 dave@open-operations.com http://open-operations.com
 * @license GPL
 *
 * Updated 03-23-2016 by DrByte to clean up database queries and utilize built-in ZC functions where possible
 *
 */
function zen_update_user_tracking()
{
  global $db, $current_category_id;
  foreach (explode(",", preg_replace('~[^a-fA-F0-9.:%/,]~', '', CONFIG_USER_TRACKING_EXCLUDED)) as $skip_ip) {
    $skip_tracking[trim($skip_ip)] = 1;
  }
  if (isset($_SESSION['customer_id'])) {
    $cust_id = (int)$_SESSION['customer_id'];
    $customer = $db->Execute("select customers_firstname, customers_lastname from " . TABLE_CUSTOMERS . " where customers_id = '" . (int)$_SESSION['customer_id'] . "'");
    $wo_full_name = $customer->fields['customers_firstname'] . ' ' . $customer->fields['customers_lastname'];
  } else if (isset($_SESSION['admin_id'])) {
    $cust_id = (int)$_SESSION['admin_id'];
    $admin = $db->Execute("select admin_name from " . TABLE_ADMIN . " where admin_id = '" . (int)$_SESSION['admin_id'] . "'");
    $wo_full_name = $admin->fields['admin_name'];
  } else {
    $wo_full_name = 'Guest';
  }
  $wo_session_id = zen_session_id();
  $wo_ip_address = (isset($_SESSION['admin_ip_address'])) ? $_SESSION['admin_ip_address'] : (function_exists('zen_get_ip_address') ? zen_get_ip_address() : getenv('REMOTE_ADDR'));
  $wo_last_page_url = getenv('REQUEST_URI');
  $referer_url = ($_SERVER['HTTP_REFERER'] == '') ? $wo_last_page_url : $_SERVER['HTTP_REFERER'];

  if (isset($_GET['products_id']) || isset($_GET['cPath'])) {
    if ($_GET['cPath'] && ZEN_CONFIG_SHOW_USER_TRACKING_CATEGORY == 'true') { // JTD:12/04/06 - Woody feature request
      $page_desc = zen_get_categories_name((int)$current_category_id) . '&nbsp;-&nbsp;';
    }
    if ($_GET['products_id']) {
      $page_desc .= zen_get_products_name($_GET['products_id']);
    }
  } else {
    if (!defined('HEADING_TITLE')) {
      if (isset($_GET['gID'])) {
        // JTD:12/01/06 - look up configuration group name
        $page_desc_values = $db->Execute("select configuration_group_title from " . TABLE_CONFIGURATION_GROUP . " where configuration_group_id = " . (int)$_GET['gID']);
        $page_desc = addslashes($page_desc_values->fields['configuration_group_title']);
      } else {
        $page_desc = NAVBAR_TITLE;
      }
    } else {
    $page_desc = HEADING_TITLE;
    }
  }
  $current_time = time();

  if ( ! isset($skip_tracking[$wo_ip_address])) {
    $cust_id = (int)$_SESSION['customer_id'];
    $customers_host_address = $_SESSION['customers_host_address']; // JTD:11/27/06 - added host address support

    $sql = "insert into " . TABLE_USER_TRACKING . " (customer_id, full_name, session_id, ip_address, time_entry, time_last_click, last_page_url, referer_url, page_desc, customers_host_address)
            values (:cust_id, :wo_full_name, :wo_session_id, :wo_ip_address, :current_time, :current_time, :wo_last_page_url, :referer_url, :page_desc, :customers_host_address)";
    $sql = $db->BindVars($sql, ':cust_id', $cust_id, 'string');
    $sql = $db->BindVars($sql, ':wo_full_name', $wo_full_name, 'string');
    $sql = $db->BindVars($sql, ':wo_session_id', $wo_session_id, 'string');
    $sql = $db->BindVars($sql, ':wo_ip_address', $wo_ip_address, 'string');
    $sql = $db->BindVars($sql, ':current_time', $current_time, 'string');
    $sql = $db->BindVars($sql, ':wo_last_page_url', substr($wo_last_page_url, 0, 253), 'string');
    $sql = $db->BindVars($sql, ':referer_url', $referer_url, 'string');
    $sql = $db->BindVars($sql, ':page_desc', substr($page_desc, 0, 63), 'string');
    $sql = $db->BindVars($sql, ':customers_host_address', $customers_host_address, 'string');
    $db->Execute($sql);
  }
}
